Class | Chef::Provider::Package::Yum
In: | lib/chef/provider/package/yum.rb
Parent: | Chef::Provider::Package

### Methods

arch install_package load_current_resource new purge_package remove_package upgrade_package yum_arch

### Classes and Modules

Class Chef::Provider::Package::Yum::YumCache

### Public Class methods

new(new_resource, run_context)

### Public Instance methods

arch()
install_package(name, version)
load_current_resource()
purge_package(name, version)
remove_package(name, version)
upgrade_package(name, version)
yum_arch()

[Validate]